get
https://api.picussecurity.com/v1/agents
Agents; Agent Name, Agent Status, Agent Type, Agent Created Time, Agent Platform
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
About
Agent List endpoint returns the simulation agent list with agent name, id, status, agent type and platform information as in Picus platform > Agents.
Agent Detail endpoint can be called for detailed information on Agents using the agent id.
Return Definitions
- status = alive means that the agent is alive and the agent is sending health check signals
- status = dead means that agent is not alive and the health check signals will not be received for a while
Example
{
"agents": [
{
"name": "Browser Agent",
"id": 197,
"status": "alive",
"type": "Browser",
"version": "0.0.0.0",
"created_at": 1611131624037,
"platform_name": "",
"platform_architecture": ""
},
{
"name": "My agent",
"id": 793,
"status": "dead",
"type": "Windows",
"version": "4.0.2.2",
"created_at": 1633518567926,
"platform_name": "Windows 10",
"platform_architecture": "64-bit"
},
{
"name": "[email protected]",
"id": 1261,
"status": "alive",
"type": "QuickEmail",
"version": "0.0.0.0",
"created_at": 1644399111732,
"platform_name": "",
"platform_architecture": ""
}
]